@extends('layouts.admin.app')
@section('content')

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.5/jquery.validate.min.js"></script>
<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.18/css/bootstrap-select.min.css">
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.13.18/js/bootstrap-select.min.js"></script>

<main id="main" class="main">
    @if( Session::get('permissions.user_type') == 'A' || Session::get('permissions.user_type') == 'SA')
        <div class="page-breadcrumb">
            <div class="row">
                <div class="col-12 d-flex no-block align-items-center justify-content-between px-4 mb-2">
                    <h4 class="page-title">Create False URL</h4>
                    <div class="ml-auto text-right">
                        <a href="{{url('admin/falseurl/list/')}}/{{$site_id}}" class="btn btn-outline-info">Back</a>
                    </div>
                </div>
            </div>
        </div>

        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        @foreach (['danger', 'warning', 'success', 'info'] as $msg)
                            @if(Session::has('alert-' . $msg))
                                <h4 class="font-weight-light alert alert-{{ $msg }}">{{ Session::get('alert-' . $msg) }}</h4>
                            @endif
                        @endforeach
                        <form action="{{url('admin/falseurl/add/')}}/{{$site_id}}" method="POST" class="form-horizontal" id="formadd" enctype="multipart/form-data">
                            @csrf
                            <div class="card-body">
                                <h4 class="card-title">Create False URL</h4>
                                <input type="hidden" name="site_id" value="<?php echo $site_id; ?>">
                                <div class="form-group m-t-20">
                                    <label>False URL<span>*</span></label>
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <span class="input-group-text" id="basic-addon1"></span>
                                        </div>
                                        <input type="text" class="form-control" id="falseurl" name="falseurl" placeholder="Enter Url" required>
                                    </div>
                                </div>
                                {{--<div class="form-group m-t-20">
                                    <label>Site<span>*</span></label>
                                    <select id="site_id_new" name="site_id_new" type="text" class="form-control"
                                        aria-required="true" aria-invalid="false" required>
                                        <option value="">Select Site</option>
                                        @foreach ($sites as $list)
                                            <option value="{{ $list->id }}">
                                            {{ $list->site_name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group m-t-20">
                                    <label>Site</label>
                                    <input type="text" class="form-control" id="site_id_new" name="site_id_new" value="{{$site_id}}" disabled>
                                </div>--}}
                                <div class="form-group m-t-20">
                                    <label>Category<span>*</span></label>
                                    <select id="category_id" name="category_id" type="text" class="form-control"
                                        aria-required="true" aria-invalid="false" required>
                                        <option value="">Select Category</option>
                                        @foreach ($categories as $list)
                                            <option value="{{ $list->id }}">
                                            {{ $list->name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                                {{--<div class="form-group m-t-20">
                                    <label>Category Image<span>*</span></label>
                                    <input type="file" class="form-control" id="image" name="image" value="" placeholder="Enter Category Image" required>
                                    <p>Please upload minimum 1530px X 270px image only.</p>
                                </div>--}}
                                <div class="form-group m-t-20">
                                    <label>Banner Alt</label>
                                    <input type="text" class="form-control" id="banneralt" name="banneralt" placeholder="Enter Banner ALT" >
                                </div> 
                                <div class="form-group m-t-20">
                                    <label>Banner Heading</label>
                                    <input type="text" class="form-control" id="bannerheading" name="bannerheading" placeholder="Enter Banner Heading" required>
                                </div>
                                <div class="form-group m-t-20">
                                    <label>Content Top</label>
                                    <textarea class="form-control" rows="5" id="falseurlcontenttop" name="falseurlcontenttop" placeholder="Enter Content Top" ></textarea>
                                </div>
                                <div class="form-group m-t-20">
                                    <label>Content Bottom</label>
                                    <textarea class="form-control" rows="5" id="falseurlcontentbottom" name="falseurlcontentbottom" placeholder="Enter Content Bottom" ></textarea>
                                </div>
                                <div class="form-group m-t-20">
                                    <label>Product Sort Order<span>*</span></label>
                                    <select id="product_sortorder_id"  name="product_sortorder_id" class="form-control" required>
                                        @foreach($product_sortorders as $list)
                                            <option value="{{$list->id}}">{{$list->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="form-group m-t-20">
                                    <label>Meta Title</label>
                                    <input type="text" class="form-control" id="falseurlmeta_title" name="falseurlmeta_title" placeholder="Enter Meta Title" required>
                                </div>
                                <div class="form-group m-t-20">
                                    <label>Meta Description</label>
                                    <textarea class="form-control" rows="5" id="falseurlmeta_description" name="falseurlmeta_description" placeholder="Enter Meta Description" required></textarea>
                                </div>
                                <div class="form-group m-t-20">
                                    <label>Tagline</label>
                                    <input type="text" class="form-control" id="falseurltagline" name="falseurltagline" placeholder="Enter Tagline" >
                                </div>
                                <div class="form-group m-t-20">
                                    <label>Top Head</label>
                                    <input type="text" class="form-control" id="falseurltophead" name="falseurltophead" placeholder="Enter Tophead" >
                                </div>
                            </div>
                            <div class="border-top">
                                <div class="card-body">
                                    <input class="btn btn-primary" type="submit" value="CREATE">
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    @endif 

</main>   

<script type="text/javascript">
    $.validator.setDefaults({
            submitHandler: function(form) {
                form.submit();
            }
    });

    $(function() {
        // validate the comment form when it is submitted
        $("#formadd").validate({
            ignore: [],
            errorPlacement: function(label, element) {
                label.addClass('mt-2 text-danger');
                label.insertAfter(element);
            },
            highlight: function(element, errorClass) {
                $(element).parents('.form-group').addClass('has-danger')
                $(element).addClass('form-control-danger')
            }

          });
    });

    CKEDITOR.replace("falseurlcontenttop");
    CKEDITOR.replace("falseurlcontentbottom");

    $('#title').on('blur', function(){
        var title = $.trim($(this).val());
        if(title != ''){
            //if($.trim($('#slug').val()) == ''){
                $('#slug').val(title.replace(/ /g,"-").toLowerCase());
                $('#slug-error').hide();
            //}
        }

    });

</script>    

@endsection

