<?php

// use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\RegisterController;
use App\Http\Controllers\Admin\ProductController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\CmsController;
use App\Http\Controllers\Admin\AddonController;
use App\Http\Controllers\Admin\FalseurlController;
use App\Http\Controllers\Admin\HomeFeatureManagementController;
use App\Http\Controllers\Admin\CityController;
use App\Http\Controllers\Admin\TestimonialController;
use App\Http\Controllers\Admin\CouponController;
use App\Http\Controllers\Admin\ExcelController;

use App\Http\Controllers\Agent\AgentController;

use Illuminate\Support\Facades\DB;
use App\Http\Helper;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

// Auth::routes();

Route::prefix('admin')->name('admin.')->group(function () {

    Route::get('/',[AdminController::class,'AdminLogin']);
    
    Route::middleware(['guest:AdminLogin'])->group(function () {
        Route::get('/login',[AdminController::class,'AdminLogin'])->name('login');
        Route::post('/dologin',[AdminController::class,'AdminLogedIn'])->name('dologin');
    });

    Route::middleware(['auth:AdminLogin'])->group(function () {
        Route::get('/home',[AdminController::class,'home'])->name('home');
        Route::get('/orders',[AdminController::class,'orders'])->name('orders');
        Route::get('/orders/view/{orderId}',[AdminController::class,'viewProduct'])->name('viewProduct');
        Route::post('/orders/view/{orderId}',[AdminController::class,'saveProduct'])->name('saveProduct');
        Route::get('/ProductByAgent',[AdminController::class,'ProductByAgent']);
        Route::get('/GetPriceByProduct',[AdminController::class,'GetPriceByProduct']);
        Route::get('/GetDeliveryType',[AdminController::class,'GetDeliveryType']);
        Route::get('/getOrderID',[AdminController::class,'getOrderID']);
        Route::post('/ReAssignProduct',[AdminController::class,'ReAssignProduct']);
        Route::get('/getReAssignPrice',[AdminController::class,'getReAssignPrice']);
        Route::get('/Reassign',[AdminController::class,'Reassign']);
        Route::get('/mailStatus',[AdminController::class,'mailStatus']);

        Route::get('/main', [AdminController::class, 'main'])->name('main');
        Route::post('/productAssign', [AdminController::class, 'search'])->name('search');
        Route::get('/dashboard/{id}/{agentId}',[AdminController::class,'orderDetails'])->name('orderDetails');
        Route::post('/dashboard/{id}/{agentId}',[AdminController::class,'UpdateProductStatus'])->name('UpdateProductStatus');

        Route::get('/report', [AdminController::class, 'report'])->name('report');
        Route::post('/report', [AdminController::class, 'reportTable'])->name('reportTable');

        Route::get('/ProfitReport', [AdminController::class, 'ProfitReport'])->name('ProfitReport');
        Route::post('/ProfitReport', [AdminController::class, 'ProfitReportSearch'])->name('ProfitReportSearch');

        Route::get('/getAgentId',[AdminController::class,'getAgentId']);

        Route::group(['prefix' => 'product', 'as' => 'product.'], function () {
            Route::any('/', [ProductController::class, 'list'])->name('list');
            Route::any('/product-add', [ProductController::class, 'productAdd'])->name('product-add');
            Route::any('/product-edit/{id}', [ProductController::class, 'productEdit'])->name('product-edit');
            Route::any('/bulkproductedit', [ProductController::class, 'bulkproductedit'])->name('bulkproductedit');
            Route::any('/bulkproductupload', [ProductController::class, 'bulkproductupload'])->name('bulkproductupload');
            Route::any('/upgrade_sort_order', [ProductController::class, 'upgrade_sort_order'])->name('upgrade_sort_order');
            Route::any('/product_categorywise_sortorder', [ProductController::class, 'product_categorywise_sortorder'])->name('product_categorywise_sortorder');
            Route::any('/product_sortorder_update', [ProductController::class, 'product_sortorder_update'])->name('product_sortorder_update');
            Route::any('/dbfldupdate', [ProductController::class, 'dbfldupdate'])->name('dbfldupdate');
            Route::any('/productexceldownload', [ProductController::class, 'productexceldownload'])->name('productexceldownload');
            Route::post('/getcategory', [ProductController::class, 'getcategory'])->name('getcategory');
            Route::get('/status/{id}', [ProductController::class, 'status'])->name('status');
            Route::any('/status-update', [ProductController::class, 'statusUpdate'])->name('status-update');

            Route::get('/product_attr_delete/{id}', [ProductController::class, 'product_attr_delete'])->name('product_attr_delete');
        });    

        Route::group(['prefix' => 'category', 'as' => 'category.'], function () {
            Route::any('/', [CategoryController::class, 'list'])->name('list');
            Route::post('/status', [CategoryController::class, 'status'])->name('status');
            Route::any('/add', [CategoryController::class, 'add'])->name('add');
            Route::any('/edit/{id}', [CategoryController::class, 'edit'])->name('edit');
            Route::get('/delete/{id}', [CategoryController::class, 'delete'])->name('delete');
            Route::get('/list_banners/{id}', [CategoryController::class, 'list_banners'])->name('list_banners');
            Route::any('/list_banners_edit/{id}', [CategoryController::class, 'list_banners_edit'])->name('list_banners_edit');
            Route::any('/list_banners_add/{id}', [CategoryController::class, 'list_banners_add'])->name('list_banners_add');
            Route::post('/catbanstatus', [CategoryController::class, 'catbanstatus'])->name('catbanstatus');
            Route::any('/bulkcategoryupload', [CategoryController::class, 'bulkcategoryupload'])->name('bulkcategoryupload');
        });

        Route::group(['prefix' => 'cms', 'as' => 'cms.'], function() {
            Route::any('/', [CmsController::class, 'list'])->name('list');
            Route::any('/add', [CmsController::class, 'add'])->name('add');
            Route::any('/edit/{id}', [CmsController::class, 'edit'])->name('edit');
            Route::post('/status', [CmsController::class, 'status'])->name('status');
            Route::get('/list_cms/{id}', [CmsController::class, 'list_cms'])->name('list_cms');
            Route::any('/list_cms_add/{id}', [CmsController::class, 'list_cms_add'])->name('list_cms_add');
            Route::any('/list_cms_edit/{id}', [CmsController::class, 'list_cms_edit'])->name('list_cms_edit');
            Route::post('/site_cms_status', [CmsController::class, 'site_cms_status'])->name('site_cms_status');
        });

        Route::group(['prefix' => 'addon', 'as' => 'addon.'], function() {
            Route::any('/', [AddonController::class, 'list'])->name('list');
            Route::any('/add', [AddonController::class, 'add'])->name('add');
            Route::any('/edit/{id}', [AddonController::class, 'edit'])->name('edit');
            Route::get('/addon_sub/{id}', [AddonController::class, 'addon_sub'])->name('addon_sub');
            Route::any('/addon_sub1_edit/{id}', [AddonController::class, 'addon_sub1_edit'])->name('addon_sub1_edit');
            Route::post('/addon_group_status', [AddonController::class, 'addon_group_status'])->name('addon_group_status');

            Route::any('/addon_sub_group_list', [AddonController::class, 'addon_sub_group_list'])->name('addon_sub_group_list');
            Route::any('/addon_sub_add', [AddonController::class, 'addon_sub_add'])->name('addon_sub_add');
            Route::any('/addon_sub_edit/{id}', [AddonController::class, 'addon_sub_edit'])->name('addon_sub_edit');

            Route::any('/addon_main', [AddonController::class, 'addon_main'])->name('addon_main');
            Route::any('/addon_main_add', [AddonController::class, 'addon_main_add'])->name('addon_main_add');
            Route::any('/addon_main_edit/{id}', [AddonController::class, 'addon_main_edit'])->name('addon_main_edit');
            
        });

        Route::group(['prefix' => 'falseurl', 'as' => 'falseurl.'], function() {
            // Route::group(['prefix' => 'aof', 'as' => 'aof.'], function () {
                Route::any('/list/{id}', [FalseurlController::class, 'list'])->name('list');
                Route::any('/add/{id}', [FalseurlController::class, 'add'])->name('add');
                Route::any('/edit/{id}', [FalseurlController::class, 'edit'])->name('edit');
                Route::post('/status', [FalseurlController::class, 'status'])->name('status');
            // });
        });

        Route::group(['prefix' => 'homefeaturemanagement', 'as' => 'homefeaturemanagement.'], function() {

            Route::any('/list/{id}', [HomeFeatureManagementController::class, 'list'])->name('list');
            Route::any('/add/{id}', [HomeFeatureManagementController::class, 'add'])->name('add');
            Route::any('/edit/{id}', [HomeFeatureManagementController::class, 'edit'])->name('edit');
            Route::any('/categoryproduct', [HomeFeatureManagementController::class, 'categoryproduct'])->name('categoryproduct');
            Route::post('/status', [HomeFeatureManagementController::class, 'status'])->name('status');
            Route::any('/dragproduct', [HomeFeatureManagementController::class, 'dragproduct'])->name('dragproduct');
            Route::any('/sorthomepageproduct', [HomeFeatureManagementController::class, 'sorthomepageproduct'])->name('sorthomepageproduct');

        });

        Route::group(['prefix' => 'city', 'as' => 'city.'], function() {
            Route::any('/list/{id}', [CityController::class, 'list'])->name('list');
            Route::any('/add/{id}', [CityController::class, 'add'])->name('add');
            Route::any('/edit/{id}', [CityController::class, 'edit'])->name('edit');
            Route::post('/status', [CityController::class, 'status'])->name('status');
            Route::any('/bulkcityupload', [CityController::class, 'bulkcityupload'])->name('bulkcityupload');
            Route::any('/bulkcityupdate', [CityController::class, 'bulkcityupdate'])->name('bulkcityupdate');
        });

        Route::group(['prefix' => 'testimonial', 'as' => 'testimonial.'], function() {
            Route::any('/list/{id}', [TestimonialController::class, 'list'])->name('list');
            Route::any('/add/{id}', [TestimonialController::class, 'add'])->name('add');
            Route::any('/edit/{id}', [TestimonialController::class, 'edit'])->name('edit');
            Route::post('/status', [TestimonialController::class, 'status'])->name('status');
            Route::any('/delete/{id}', [TestimonialController::class, 'delete'])->name('delete');
        });

        Route::group(['prefix' => 'coupon', 'as' => 'coupon.'], function () {
            Route::any('/list/{id}', [CouponController::class, 'list'])->name('list');
            Route::any('/add/{id}', [CouponController::class, 'add'])->name('add');
            Route::any('/edit/{id}', [CouponController::class, 'edit'])->name('edit');
            Route::get('/delete/{id}', [CouponController::class, 'delete'])->name('delete');
            Route::post('/status', [CouponController::class, 'status'])->name('status');
        });

        Route::get('/logout', [AdminController::class, 'logout'])->name('logout');
    });
});

Route::prefix('agent')->name('agent.')->group(function () {

    Route::get('/',[AgentController::class,'AgentLogin']);
    
    Route::middleware(['guest:AgentLogin'])->group(function () {
        Route::get('/login',[AgentController::class,'AgentLogin'])->name('login');
        Route::post('/dologin',[AgentController::class,'AgentLogedIn'])->name('dologin');
    });

    Route::middleware(['auth:AgentLogin'])->group(function () {
        Route::get('/dashboard',[AgentController::class,'dashboard'])->name('dashboard');
        Route::post('/dashboard/search/{agentid}',[AgentController::class,'dashSearch'])->name('dashSearch');
        Route::get('/generateReport',[AgentController::class,'generateReport'])->name('generateReport');
        Route::post('/generateReport',[AgentController::class,'GetReport'])->name('GetReport');

        Route::get('/dashboard/{id}/{agentId}',[AgentController::class,'orderDetails'])->name('orderDetails');
        Route::post('/dashboard/{id}/{agentId}',[AgentController::class,'UpdateProductStatus'])->name('UpdateProductStatus');  

        Route::get('/updateStatus',[AgentController::class,'updateStatus'])->name('updateStatus');
        Route::get('/logout', [AgentController::class, 'logout'])->name('logout');
    });
});

Route::get('/all-agents',[RegisterController::class,'allAgents'])->name('all-agents');
Route::get('/edit/{id}',[RegisterController::class,'register'])->name('edit');
Route::get('/register',[RegisterController::class,'register'])->name('register');
Route::post('/register',[RegisterController::class,'doRegister'])->name('doregister');

Route::any('/excel',[ExcelController::class,'excel'])->name('excel');



